summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2019-05-16 09:39:46 +0000
committer Eric Hameleers <alien@slackware.com>2019-05-16 09:39:46 +0000
commitc78229c948df193063ac9d6a55a4f5a177624c76 (patch)
tree891d5d7d84aa745335c81ba51adc74b2fc488599
parent5a4ab4a8d612e99d07f4401a21a866fc50ffb576 (diff)
downloadmultilib-c78229c948df193063ac9d6a55a4f5a177624c76.tar.gz
multilib-c78229c948df193063ac9d6a55a4f5a177624c76.tar.xz
gcc-multilib: Fix std::variant friend declaration that broke clang (PR90397). Rebuilt with --enable-clocale=gnu.
-rwxr-xr-xsource/current/gcc/gcc-multilib.SlackBuild6
1 files changed, 5 insertions, 1 deletions
diff --git a/source/current/gcc/gcc-multilib.SlackBuild b/source/current/gcc/gcc-multilib.SlackBuild
index 318b20c..92f1025 100755
--- a/source/current/gcc/gcc-multilib.SlackBuild
+++ b/source/current/gcc/gcc-multilib.SlackBuild
@@ -62,7 +62,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gcc
SRCVER=${SRCVER:-"9.1.0"}
VERSION=$(echo $SRCVER | cut -f 1 -d _)
-BUILD=${BUILD:-4alien}
+BUILD=${BUILD:-5alien}
# How many jobs to run in parallel:
NUMJOBS=${NUMJOBS:-"$(nproc)"}
@@ -190,6 +190,9 @@ tar xf $CWD/gcc-$SRCVER.tar.?z || exit 1
# Fix internal compiler error (PR90303):
zcat $CWD/patches/Fix-ipa-devirt-ICEs-with-types-requiring-structural-equality-PR-tree-optimization-90303.patch.gz | patch -p0 --verbose || exit 1
+ # Fix std::variant friend declaration that broke clang (PR90397):
+ zcat $CWD/patches/gcc.PR90397.patch.gz | patch -p1 --verbose || exit 1
+
# Fix perms/owners:
chown -R root:root .
find . -perm 777 -exec chmod 755 {} \;
@@ -411,6 +414,7 @@ tar xf $CWD/gcc-$SRCVER.tar.?z || exit 1
--disable-gtktest \
--disable-werror \
--without-isl \
+ --enable-clocale=gnu \
$GCC_ARCHOPTS \
--target=${TARGET} \
--build=${TARGET} \